/*  Header file for evolve.c                               */

/*  Program for Informative Sites Test - PIST, version 1.0 */
/*  (c) Copyright 2001, Andrew Rambaut & Michael Worobey   */
/*  Department of Zoology, University of Oxford            */


#ifndef _EVOLVE_H_
#define _EVOLVE_H_

#include "tree.h"

#define MAX_RATE_CATS 32

extern int numTaxa, numBases, fileFormat;

extern double gammaShape, propInvariant;
extern int numCats, rateHetero, invariantSites;
extern double catRate[MAX_RATE_CATS];

enum {
	NoRates,
	CodonRates,
	GammaRates,
	DiscreteGammaRates
};

enum {
	PHYLIPFormat,
	RelaxedFormat,
	NEXUSFormat
};

/* prototypes */

void SetModel(int model);
void SetCategories();
void CreateSequences(TTree *tree);
void EvolveSequences(TTree *tree, double scale, char *ancestor);
void WriteSequences(FILE *fv, TTree *tree);

#endif /* _EVOLVE_H_ */
